> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Prop Trading Get Funding Quote

> Builds the firm's funding quote (obligations, converted totals via Xe rates) plus payment reference and instructions.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/prop-trading-get-funding-quote
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/prop-trading-get-funding-quote:
    post:
      operationId: propTradingGetFundingQuote
      summary: Prop Trading Get Funding Quote
      description: >-
        Builds the firm's funding quote (obligations, converted totals via Xe
        rates) plus payment reference and instructions.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PropTradingGetFundingQuoteRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PropTradingGetFundingQuoteResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    PropTradingGetFundingQuoteRequest:
      type: object
      properties:
        fundingCurrencies:
          type: array
          items:
            type: string
            pattern: ^[A-Z0-9]{3,8}$
          maxItems: 10
    PropTradingGetFundingQuoteResponse:
      type: object
      properties:
        byCurrency:
          type: array
          items:
            type: object
            properties:
              currencyCode:
                type: string
              required:
                type: string
                pattern: ^-?\d+(\.\d+)?$
              recorded:
                type: string
                pattern: ^-?\d+(\.\d+)?$
              committed:
                type: string
                pattern: ^-?\d+(\.\d+)?$
              paid:
                type: string
                pattern: ^-?\d+(\.\d+)?$
              available:
                type: string
                pattern: ^-?\d+(\.\d+)?$
              shortfall:
                type: string
                pattern: ^-?\d+(\.\d+)?$
              pendingPayoutCount:
                type: integer
            required:
              - currencyCode
              - required
              - recorded
              - committed
              - paid
              - available
              - shortfall
              - pendingPayoutCount
        traderReceipts:
          type: array
          items:
            type: object
            properties:
              payoutCurrency:
                type: string
              legCount:
                type: integer
              indicativeAmount:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(\.\d+)?$
              pairs:
                type: array
                items:
                  type: object
                  properties:
                    importCurrency:
                      type: string
                    midRate:
                      type:
                        - string
                        - 'null'
                      pattern: ^-?\d+(\.\d+)?$
                    markupBps:
                      type: integer
                    effectiveRate:
                      type:
                        - string
                        - 'null'
                      pattern: ^-?\d+(\.\d+)?$
                    ratePulledAt:
                      type:
                        - string
                        - 'null'
                  required:
                    - importCurrency
                    - midRate
                    - markupBps
                    - effectiveRate
                    - ratePulledAt
            required:
              - payoutCurrency
              - legCount
              - indicativeAmount
              - pairs
        fundingConversions:
          type: array
          items:
            type: object
            properties:
              fundingCurrency:
                type: string
              importCurrency:
                type: string
              shortfall:
                type: string
                pattern: ^-?\d+(\.\d+)?$
              midRate:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(\.\d+)?$
              markupBps:
                type: integer
              effectiveRate:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(\.\d+)?$
              indicativeAmount:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(\.\d+)?$
              ratePulledAt:
                type:
                  - string
                  - 'null'
            required:
              - fundingCurrency
              - importCurrency
              - shortfall
              - midRate
              - markupBps
              - effectiveRate
              - indicativeAmount
              - ratePulledAt
        markupBps:
          type: integer
        quotedAt:
          type: string
        warnings:
          type: array
          items:
            type: string
            enum:
              - XE_NOT_CONFIGURED
              - XE_UNAVAILABLE
              - UNSUPPORTED_PAIR
              - PAYOUT_DESTINATION_UNAVAILABLE
        fundingCurrencies:
          type: array
          items:
            type: string
        fundingInstructions:
          type: object
          properties:
            reference:
              type: string
            text:
              type: string
          required:
            - reference
            - text
      required:
        - byCurrency
        - traderReceipts
        - fundingConversions
        - markupBps
        - quotedAt
        - warnings
        - fundingCurrencies
        - fundingInstructions
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
